package com.atlassian.bitbucket.mesh.git.builder.updateref;

import javax.annotation.Nonnull;

public interface GitUpdateRef {

    @Nonnull
    GitUpdateRefDeleteBuilder delete(@Nonnull String ref);

    @Nonnull
    GitUpdateRefSetBuilder set(@Nonnull String ref, @Nonnull String newValue);

    @Nonnull
    GitUpdateRefStdinBuilder stdin();
}
